#include "ConsoleClient.h"
#include "PikMain.h"
#include <QString>
#include <QApplication>

ConsoleClient::ConsoleClient()
{
    // cannot get console addr here, because main window not created yet ...
}


ConsoleClient::~ConsoleClient()
{}


/*!
    \fn ConsoleClient::clearConsole()
 */
void ConsoleClient::clearConsole()
{
    PikMain *main = PikMain::mainWindow() ;
    main->getConsole()->clear() ;
}


/*!
    \fn ConsoleClient::addText(const QString &txt)
 */
void ConsoleClient::addTextConsole(const QString &txt)
{
    PikMain *main = PikMain::mainWindow() ;
    main->getConsole()->insertParagraph(txt,-1) ; // at end
    QApplication::processEvents() ;
}
