#include "XQListviewitem.h"
#include <qstring.h>
#include <qfontmetrics.h>
#include <qtooltip.h>
#include <qpixmap.h>
#include <iostream>
using namespace std ;

XQListViewItem::XQListViewItem ( Q3ListViewItem * parent, QString label1, QString label2 , QString label3 , QString label4, QString label5 , QString label6, QString label7 , QString label8 )  :
		Q3ListViewItem ( parent, label1, label2,  label3,label4, label5 ,label6,label7,label8 )
{
}

XQListViewItem::~XQListViewItem()
{
}

void XQListViewItem::paintCell ( QPainter * p, const QColorGroup & cg, int column, int width, int align )
{
	p->save() ;
	if ( column == 0 )
	{
		QFont font = p->font() ; font.setBold ( true ) ;
		p->setFont ( font ) ;
	}
	else if (column == 1)
	{
		QFont font = p->font() ; font.setItalic ( true ) ;
		p->setFont ( font ) ;

	}

	Q3ListViewItem::paintCell (  p, cg, column,  width, align ) ;
	p->restore() ;
}


int XQListViewItem::compare ( Q3ListViewItem * i, int /* col */, bool /* ascending */ ) const
{
	if( text(4) < i->text(4) )
		return -1  ;
	else if ( text(4) > i->text(4) )
		return 1 ;
	// same type of symbol, sort by name
	if( text(0) < i->text(0) )
		return -1  ;
	else if ( text(0) > i->text(0) )
		return 1 ;
	return 0 ;
	
}

