#ifndef XQLISTVIEWITEM_H
#define XQLISTVIEWITEM_H

#include <q3listview.h>
#include <qstring.h>
#include <qpainter.h>

/**
	Special QListViewItem for Project Widget

	@author Alain Gibaud (free.fr) <alain.gibaud@free.fr>
*/ 
class XQListViewItem : public Q3ListViewItem 
{
	public:
		XQListViewItem ( Q3ListViewItem * parent, QString label1, QString label2 = QString::null, QString label3 = QString::null, QString label4 = QString::null, QString label5 = QString::null, QString label6 = QString::null, QString label7 = QString::null, QString label8 = QString::null )  ;
		virtual ~XQListViewItem();
		virtual void paintCell ( QPainter * p, const QColorGroup & cg, int column, int width, int align ) ;
		virtual int compare ( Q3ListViewItem * i, int col, bool ascending ) const ;
};

#endif
