/***************************************************************************
                          ctype.cpp  -  description
                             -------------------
    begin                : mar jan 18 2005
    copyright            : (C) 2005 by Gibaud Alain
    email                : alain.gibaud@free.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "Ctype.h"
#include "Type.h"
#include <assert.h>

/** No descriptions */
Ctype::Ctype ( const Ctype &ct )
{
	thetype = ct.thetype ;
	if ( thetype ) ++ ( thetype->cnt ) ;
}
Ctype::~Ctype()
{
	if ( thetype &&  -- ( thetype->cnt ) == 0 )
	{
		delete thetype ; thetype = 0 ;
	}
}
/** No descriptions */
type *Ctype::operator->()
{
	return thetype ;
}
/** No descriptions */
Ctype::Ctype ( int code, const string& name, const string& modifiers )
{
	thetype = type::newtype (  code, name, modifiers  ) ;
	++thetype->cnt  ;
}
/** No descriptions */
bool Ctype::operator== ( int val )
{
	assert ( val == 0 ) ;
	return thetype == reinterpret_cast<type*> ( val ) ;
}
/** No descriptions */
bool Ctype::operator!= ( int val )
{
	return !(*this == val) ;
}
/** No descriptions */
Ctype& Ctype::operator= ( const Ctype& ct )
{
	if ( this != &ct )
	{
		if ( thetype && -- ( thetype->cnt ) == 0 )   delete thetype ;

		if ( ct.thetype )   ++ ( ct.thetype->cnt ) ;

		thetype = ct.thetype ;
	}
	return *this ;
}
/** No descriptions */
Ctype::operator bool()
{
	return thetype != 0 ;
}
/** No descriptions */
Ctype::Ctype ( type *t )
{
	thetype = t ;
	if ( t ) ++ ( t->cnt ) ;
}
/** No descriptions */
/*
bool Ctype::operator!= ( const Ctype &ct )
{
	if ( thetype && ct.thetype )
		return !thetype->equal ( ct ) ;
	return false ;
}
*/
