#include "DraggableLabel.h"
#include <q3dragobject.h> 
//Added by qt3to4:
#include <QLabel>
#include <QMouseEvent>

DraggableLabel::DraggableLabel(QWidget *parent, const QString& lab, CCodeGenerator *cg, int sel)
 : QLabel(lab,parent) , Cgenerator(cg), selector(sel)
{
}


DraggableLabel::~DraggableLabel()
{
}

void DraggableLabel::mousePressEvent ( QMouseEvent * /* e */) 
{
	Q3DragObject *d = new Q3TextDrag( Cgenerator->makeCode(selector) , this );
        d->dragCopy();
}
