#ifndef EDITORCONFIGWIDGET_H
#define EDITORCONFIGWIDGET_H
#include "ConfigWidget.h"
class QCheckBox ;
class QSpinBox ;
class QFontComboBox ;
class QComboBox ;
class QGridLayout ;
class QStackedLayout ;

class EditorConfigWidget : public ConfigWidget
{
    Q_OBJECT
public:
    explicit EditorConfigWidget(QWidget *parent = 0);
    virtual ~EditorConfigWidget();

public slots: // Public slots
    /** No descriptions */
    virtual void doApply() ;
    void selectColor() ;
public:
    /** Return the name of the config widget */
    virtual QString configName() ;

    /** Return the title of the config page */
    virtual QString configTitle();
    /** Return the icon associated to the config page */
    virtual QPixmap icon() ;
    /** change button's color */

private:
    QCheckBox *autoAlignText ;
    QSpinBox *fontSize ;
    QFontComboBox *fontSelector ;
    // allows to find HL informations
    QStackedLayout *stack ;
signals:

public slots:

};

#endif // EDITORCONFIGWIDGET_H
