

/***************************************************************************
    begin                : 2013
    copyright            : 2013 by Alain Gibaud
    email                : alain.gibaud@free.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//
// ================================================================
//
#include <QApplication>
#include <QSplashScreen>

#include "PikMain.h"


#include "../config.h"


int main( int argc, char *argv[] )
{
#if 0 // TODO a reintegrer + tard
    static KCmdLineOptions options[] =
        {
	    { "+[file]", I18N_NOOP("Optional filename to open upon startup."), 0},
            { 0, 0, 0}
        };
 
    KAboutData aboutData ("pikdev", I18N_NOOP("PiKdev"), VERSION ,
                          I18N_NOOP( "PiKdev - A simple IDE for software development of PIC-based applications." ),
                          KAboutData::License_GPL,
                          I18N_NOOP( "(c) 2002-2011 Alain Gibaud" ), 0, "http://pikdev.free.fr");

                         
    aboutData.addAuthor("Alain Gibaud", I18N_NOOP("Author"), "alain.gibaud@free.fr",0);
    aboutData.addCredit("Brian C. Lane", I18N_NOOP("His code for programming PICs helped me during my first developments."), 0,0);
    aboutData.addCredit("Christoph Cullmann and all The Kate Project team", I18N_NOOP("Fantastic text editing engine."), "cullmann@kde.org" ,
                        "http://kate.kde.org");
    aboutData.addCredit("Craig Franklin", I18N_NOOP("gputils tools"), "craigfranklin@attbi.com" ,
                        "http://gputils.sourceforge.net");
    aboutData.addCredit("Scott Dattalo", I18N_NOOP("gputils tools"), "scott@dattalo.com" ,
                        "http://gputils.sourceforge.net");
    aboutData.addCredit("Manwlis \"Manos\" Giannos", I18N_NOOP("Pic18F programming code"), "mgiannos2000@yahoo.gr" );
    aboutData.addCredit("Gerardo", I18N_NOOP("Parsing command line arguments"), "gpuga@gioia.ing.unlp.edu.ar" );
    aboutData.addCredit("Sean A. Walberg", I18N_NOOP("16F676/630 support"), "sean@ertw.com" );
    aboutData.addCredit("Mirko Panciri", I18N_NOOP("Support for programmers with bidirectionnal buffers"), "mirko.panciri@adept.it" );
    aboutData.addCredit("Keith Baker", I18N_NOOP("Support for 16F73/74/76/77"), "susyzygy@pubnix.org" );
    aboutData.addCredit("Javier Fernando Vargas G", I18N_NOOP("Help for program internationalization, Spanish translation"), "fernandovargas@cable.net.co" );
    aboutData.addCredit("Andre Lohan", I18N_NOOP("German translation"), "payne@aldervista.de" );
    aboutData.addCredit("Jochen Graeber", I18N_NOOP("Device donation"), "" );
    aboutData.addCredit("Holger Olhm", I18N_NOOP("Device donation"), "" );
    aboutData.addCredit("Brian Sipos", I18N_NOOP("Linker file support in project mode"), "" );
    aboutData.addCredit("Jean-Claude Vandenhekke", I18N_NOOP("Support for 18F6525/8525/6621/8621"), "jc.vdhekke@free.fr" );
    aboutData.addCredit("Jeff Post", I18N_NOOP("Collaboration for pk2 support"), "j_post@pacbell.net" );
    aboutData.addCredit("Walter Kicinski", I18N_NOOP("Collaboration for pk2cmd support - Thanks !"), "http://forum.microchip.com/tt.aspx?forumid=182" );

    aboutData.addCredit("The KDE developers", I18N_NOOP("Great environment"), "" , "http://www.kde.org");
    aboutData.addCredit("The Trolls", I18N_NOOP("*The* Qt library"), "" , "http://www.trolltech.com");
                       
    // Command line arguments; PikMain will check those later
    KCmdLineArgs::init( argc, argv, &aboutData );
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication::addCmdLineOptions();
#endif

    QApplication a (argc, argv) ;

    QCoreApplication::setOrganizationName("GoldenBugSoftware");
    QCoreApplication::setOrganizationDomain("alaingibaud.com");
    QCoreApplication::setApplicationName("pikdev");

    /*
      TODO : effacement automatique

    QPixmap pixmap(":/src/icons/256/pikdev-app-v4.png");
    QSplashScreen splash(pixmap);
    splash.show();
    a.processEvents();
    */



    PikMain *pikmain = new  PikMain;

    pikmain->show();
    
    return a.exec();
}
